Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
media-libs/qt-gstreamer build error installing kde
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
ronaldpguilmet
n00b
n00b


Joined: 23 Feb 2016
Posts: 13
Location: Philadelphia

PostPosted: Tue Feb 23, 2016 8:16 am    Post subject: media-libs/qt-gstreamer build error installing kde Reply with quote

I am installing gentoo on my desktop. I have the minimum installed, and I was trying to install KDE. The emerge crashes with a media-libs/qt-gstreamer (compile error). I found the bug site for gentoo, and the bug appears to be fixed. I don't know how to apply the patch. My desktop has internet, wget, curl, lynx, and links. I am learning so much, I love it. If someone could point me in the right direction, I would be very appreciative. thanks ron
_________________
Ron
Back to top
View user's profile Send private message
Maxxx
Guru
Guru


Joined: 12 Jan 2016
Posts: 515
Location: Italia

PostPosted: Tue Feb 23, 2016 9:45 am    Post subject: Reply with quote

Is this bug https://bugs.gentoo.org/show_bug.cgi?id=564652 ?
If so, try to write ">=media-libs/gstreamer-1.5" in file /etc/portage/package.mask, and then recompile.
Back to top
View user's profile Send private message
ronaldpguilmet
n00b
n00b


Joined: 23 Feb 2016
Posts: 13
Location: Philadelphia

PostPosted: Tue Feb 23, 2016 10:18 am    Post subject: Reply with quote

Maxxx wrote:
Is this bug https://bugs.gentoo.org/show_bug.cgi?id=564652 ?
If so, try to write ">=media-libs/gstreamer-1.5" in file /etc/portage/package.mask, and then recompile.


still failed. /etc/portage/package.mask is not a file on my system it's a directory. that said, I created a file named gstreamer with ">=media-libs/gstreamer-1.5" I notice that line says gstreamer but the package that is failing is qt-gstreamer-1.2.0. not sure if that matters or not.
_________________
Ron
Back to top
View user's profile Send private message
Maxxx
Guru
Guru


Joined: 12 Jan 2016
Posts: 515
Location: Italia

PostPosted: Tue Feb 23, 2016 11:05 am    Post subject: Reply with quote

From this bug, the problem is that "media-libs/qt-gstreamer-1.2.0-r1 failed to compile with media-libs/gstreamer-1.6.0"...
you can solved installing "media-libs/gstreamer-1.5"
Back to top
View user's profile Send private message
Maxxx
Guru
Guru


Joined: 12 Jan 2016
Posts: 515
Location: Italia

PostPosted: Tue Feb 23, 2016 11:21 am    Post subject: Reply with quote

gstreamer file that you created, is it into /etc/portage/package.mask directory?
Back to top
View user's profile Send private message
ronaldpguilmet
n00b
n00b


Joined: 23 Feb 2016
Posts: 13
Location: Philadelphia

PostPosted: Tue Feb 23, 2016 7:44 pm    Post subject: Reply with quote

Thank you for your help. Yes the gstreamer file was put in the package.mask folder. I installed gtreamer = ok then installed qt-gtreamer = ok now kde-meta is running. Hopefully all will go well
_________________
Ron
Back to top
View user's profile Send private message
SarahS93
Guru
Guru


Joined: 21 Nov 2013
Posts: 468

PostPosted: Thu Feb 25, 2016 10:30 am    Post subject: Reply with quote

Code:
/etc/portage/packages.mask/gstreamer
  >=media-libs/gstreamer-1.5

emerge -av    gstreamer
emerge -av qt-gstreamer


Thanks, works for me too!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum